using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;

namespace fatd_faturamento.BLL.Repositorio
{

    public class repositorioAlimentador
    {
        public IList<entidadeAlimentador> SelectOthersTables(entidadeAlimentador objAlimentador)
        {
            dalAlimentador dalAlimentador = null;

            var lstAlimentador = new List<entidadeAlimentador>();
            DataTable dt = null;

            try
            {
                dalAlimentador = new dalAlimentador();
                dt = dalAlimentador.SelectOthersTables(objAlimentador);

                foreach (DataRow dr in dt.Rows)
                {
                    objAlimentador = new entidadeAlimentador();

                    if (!Convert.IsDBNull(dr["ID"]))
                        objAlimentador.ID = Convert.ToInt32(dr["ID"]);

                    if (!Convert.IsDBNull(dr["DESCRICAO"]))
                        objAlimentador.DESCRICAO = dr["DESCRICAO"].ToString();

                    lstAlimentador.Add(objAlimentador);
                }
                return lstAlimentador;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
